Skip to main content
GET
/
v1
/
products
/
{product_id}
Get Product By Id
curl --request GET \
  --url https://api.trykintsugi.com/v1/products/{product_id} \
  --header 'X-API-KEY: <api-key>' \
  --header 'x-organization-id: <api-key>'
import requests

url = "https://api.trykintsugi.com/v1/products/{product_id}"

headers = {
    "X-API-KEY": "<api-key>",
    "x-organization-id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'X-API-KEY': '<api-key>', 'x-organization-id': '<api-key>'}
};

fetch('https://api.trykintsugi.com/v1/products/{product_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "prod_xR9t8P1wMK6aQ",
  "external_id": "prod_123",
  "code": "CODE_1234",
  "name": "Test Product",
  "description": "This is a test product description.",
  "status": "APPROVED",
  "product_category": "Physical",
  "product_subcategory": "General Clothing",
  "tax_exempt": false,
  "source": "SHOPIFY",
  "classification_failed": false
}
{
  "detail": "The request is missing a valid x-api-key."
}
{
  "detail": "[orgn_argaLQwMy2fJc] Product with id prod_dTNxozoT72W5 not found"
}
{
  "detail": [
    {
      "type": "missing",
      "loc": [
        "header",
        "x-organization-id"
      ],
      "msg": "Field required"
    }
  ]
}
{
  "detail": "An unexpected error occurred"
}

Authorizations

X-API-KEY
string
header
required
x-organization-id
string
header
required

Path Parameters

product_id
string
required

The unique identifier for the product you want to retrieve.

Response

Successfully retrieved product by id

id
string
required
external_id
string
required
sku
string[]
required
code
string
required
name
string
required
description
string
required
status
enum<string>
required
Available options:
APPROVED,
PARTIALLY_APPROVED,
PENDING
product_category
string
required

Main category of the product. For example, Physical, Digital, etc. You can retrieve supported categories from GET /products/categories endpoint

product_subcategory
string
required

Subcategory of the product. For example, General Clothing, UNKNOWN, etc. You can retrieve supported subcategories from GET /products/categories endpoint

tax_exempt
boolean
required
source
enum<string>
required
Available options:
BIGCOMMERCE,
BESTBUY,
BUNNY,
CHARGEBEE,
SHOPIFY,
STRIPE,
AMAZON,
TIKTOK,
CUSTOM,
UNKNOWN,
IMPORT,
ZUORA,
APIDECK,
QUICKBOOKS,
API,
APPLE_APP_STORE,
GOOGLE_APP_STORE,
WALMART,
PAYPAL,
NETSUITE,
XERO,
MAXIO,
RECURLY,
SALESFORCE,
ETSY,
EBAY,
WIX,
SQUARESPACE,
WOOCOMMERCE,
MAGENTO,
BILLING_PLATFORM,
DEEL,
RIPPLING,
GUSTO,
FACEBOOK,
OTHER,
ORDWAY,
INSTAGRAM,
PINTEREST,
WAYFAIR,
WISH,
POS,
TARGET,
NEWEGG,
GROUPON,
GOOGLE_EXPRESS,
NOCNOC,
MERCADO_LIBRE,
MODALYST,
NORDSTROM,
FAIRE,
SHOPWARE,
ZOHO,
SAGE-INTACCT,
AIRWALLEX,
ORB,
ZENSKAR,
MICROSOFT_DYNAMICS_365,
KICKSTARTER,
INTERNAL_ERP
connection_id
string
required
classification_failed
boolean
required